Digikam on LMDE4 - it does install, but it doesn't start...

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
airbus3xx
Level 1
Level 1
Posts: 5
Joined: Sat Apr 18, 2020 5:53 pm

Digikam on LMDE4 - it does install, but it doesn't start...

Post by airbus3xx »

Hi everyone,
on LMDE4 - I tried to install Digikam, which seemed to work fine.

When I click on "start", nothing happens...

Any ideas / thoughts how I can run Digikam? Thanks a lot!!
-----------
When I type "digikam" in the terminal, this is what I get:

Code: Select all

digikam
qt5ct: using qt5ct plugin

(digikam:2641): GLib-GObject-WARNING **: 21:52:14.873: cannot register existing type 'GtkWidget'

(digikam:2641): GLib-GObject-CRITICAL **: 21:52:14.873: g_type_add_interface_static: assertion 'G_TYPE_IS_INSTANTIATABLE (instance_type)' failed

(digikam:2641): GLib-GObject-WARNING **: 21:52:14.873: cannot register existing type 'GtkBuildable'

(digikam:2641): GLib-GObject-CRITICAL **: 21:52:14.873: g_type_interface_add_prerequisite: assertion 'G_TYPE_IS_INTERFACE (interface_type)' failed

(digikam:2641): GLib-CRITICAL **: 21:52:14.873: g_once_init_leave: assertion 'result != 0' failed

(digikam:2641): GLib-GObject-CRITICAL **: 21:52:14.873: g_type_add_interface_static: assertion 'G_TYPE_IS_INSTANTIATABLE (instance_type)' failed

(digikam:2641): GLib-GObject-CRITICAL **: 21:52:14.873: g_type_register_static: assertion 'parent_type > 0' failed


PericoCid
Level 1
Level 1
Posts: 2
Joined: Sat Apr 25, 2020 2:58 pm

Re: Digikam on LMDE4 - it does install, but it doesn't start...

Post by PericoCid »

Hi, I've got the same issue.
Try to run the program from terminal with root privileges and please, let me know if the program starts up. That's my case.

sganarel
Level 1
Level 1
Posts: 1
Joined: Fri May 01, 2020 4:47 am

Re: Digikam on LMDE4 - it does install, but it doesn't start...

Post by sganarel »

Hi,
I have the same problem, I need to start the app with sudo.
Does someone can help us for a fix to launch Digikam without root privilege ?

mc0e
Level 1
Level 1
Posts: 2
Joined: Tue Jun 16, 2020 8:39 pm

Re: Digikam on LMDE4 - it does install, but it doesn't start...

Post by mc0e »

Same problem here.

No solution yet, but this might be relevant:

https://stackoverflow.com/questions/562 ... g-critical
Something—possibly a plugin somewhere in either Qt or QtCreator—is trying to unload GTK and re-load it, which is explicitly unsupported. – ebassi May 22 '19 at 22:43

mc0e
Level 1
Level 1
Posts: 2
Joined: Tue Jun 16, 2020 8:39 pm

Re: Digikam on LMDE4 - it does install, but it doesn't start...

Post by mc0e »

Running with root seems to work better for me. I haven't used it significantly, but it starts up OK.

Running with root privileges means that the digikam configuration is searched for in /root rather than your home directory. I'm guessing there's something about older digikam configurations (or some of them) which is not compatible with the current digikam configuration.

Post Reply

Return to “Software & Applications”